<template>
  <v-card flat>
    <v-card-title>
      Archivo a procesar
    </v-card-title>
    <v-row justify="center">
      <v-col cols="12" md="12">
        <file-pond-upload
          @file-uploaded="getCsvFile"
        />
      </v-col>
    </v-row>
  </v-card>
</template>

<script>
import FilePondUpload from '~/components/BulkLoad/RegisterBulkLoad/UploadingFile/FilePondUpload';

export default {
  name: 'UploadingFile',
  components: {
    FilePondUpload,
  },
  emits: ['csv-uploaded'],
  methods: {
    getCsvFile({ file, filename }) {
      this.$emit('csv-uploaded', { file, filename });
    },
  },
};
</script>

<style scoped>

</style>
